Skip to main content
GET
/
v2
/
custom-services
List Custom Services
curl --request GET \
  --url https://public.api.serval.com/v2/custom-services \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "teamId": "<string>",
      "name": "<string>",
      "domain": "<string>"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

teamId
string

The ID of the team.

pageSize
integer<int32>

Maximum number of results to return. Default is 10000, maximum is 10000.

pageToken
string

Token for pagination. Leave empty for the first request.

Response

Success

data
CustomService · object[]

The list of custom services.

nextPageToken
string | null

Token for retrieving the next page of results. Empty if no more results.